"Helper function to manage mixed precision"
import numpy as np
from unstructured import np_num

zero=np_num(0.)

# cast array to float/double depending on CPP_MIXED_PREC
def asnum(data): return [ x.astype(np_num) for x in data] if type(data) is list else data.astype(np_num)

def zeros(dims): return np.zeros([n for n in dims if n>1], dtype=np_num)
